Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Any_Dual_Impl_T< T > Class Template Reference

Template Any class for IDL types with 2 modes of insertion. More...

`#include <Any_Dual_Impl_T.h>`

Inheritance diagram for TAO::Any_Dual_Impl_T< T >:

[legend]
Collaboration diagram for TAO::Any_Dual_Impl_T< T >:

[legend]
List of all members.

## Public Member Functions
| Any_Dual_Impl_T (_tao_destructor destructor, CORBA::TypeCode_ptr, T *const)
| Any_Dual_Impl_T (_tao_destructor destructor, CORBA::TypeCode_ptr, const T &)
| Any_Dual_Impl_T (CORBA::TypeCode_ptr)
virtual | ~Any_Dual_Impl_T (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &)
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual const void * | value (void) const
virtual void | free_value (void)
## Static Public Member Functions
void | insert (CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, T *const)
void | insert_copy (CORBA::Any &, _tao_destructor destructor, CORBA::TypeCode_ptr, const T &)
CORBA::Boolean | extract (const CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, const T *&)
## Protected Member Functions
void | value (const T &)
## Protected Attributes
T * | value_

## Detailed Description

### template<typename T>
class TAO::Any_Dual_Impl_T< T >

Template Any class for IDL types with 2 modes of insertion.

Used for the IDL types that have copying and non-copying insertion, but which are not (de)marshaled as pointers - struct, union, sequence, and exception.

## Constructor & Destructor Documentation

template<typename T>
TAO::Any_Dual_Impl_T< T >::Any_Dual_Impl_T | ( | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | T * | const
| ) |

template<typename T>
TAO::Any_Dual_Impl_T< T >::Any_Dual_Impl_T | ( | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | const T & |
| ) |

template<typename T>
TAO::Any_Dual_Impl_T< T >::Any_Dual_Impl_T | ( | CORBA::TypeCode_ptr |  | ) |

template<typename T>
TAO::Any_Dual_Impl_T< T >::~Any_Dual_Impl_T | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename T>
virtual void TAO::Any_Dual_Impl_T< T >::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
ACE_INLINE CORBA::Boolean TAO::Any_Dual_Impl_T< T >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<typename T>
CORBA::Boolean TAO::Any_Dual_Impl_T< T >::extract | ( | const CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | const T *& |
| ) | `[static]`

template<typename T>
void TAO::Any_Dual_Impl_T< T >::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
void TAO::Any_Dual_Impl_T< T >::insert | ( | CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | T * | const
| ) | `[static]`

template<typename T>
void TAO::Any_Dual_Impl_T< T >::insert_copy | ( | CORBA::Any & | ,
|  | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | const T & |
| ) | `[static]`

template<typename T>
ACE_INLINE CORBA::Boolean TAO::Any_Dual_Impl_T< T >::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

template<typename T>
void TAO::Any_Dual_Impl_T< T >::value | ( | const T & |  | ) | `[protected]`

template<typename T>
ACE_INLINE const void * TAO::Any_Dual_Impl_T< T >::value | ( | void |  | ) | const`[virtual]`

| Deprecated: Deprecated by the OMG. This no longer appears in the C++ mapping. It is here only for backward compatibility. It is no longer (as of 5/26/04) used anywhere in TAO. Reimplemented from TAO::Any_Impl.

## Member Data Documentation

template<typename T>
T* TAO::Any_Dual_Impl_T< T >::value_`[protected]`

The documentation for this class was generated from the following files:

- Any_Dual_Impl_T.h
- Any_Dual_Impl_T.cpp
- Any_Dual_Impl_T.inl